%global pkg_name hlint

%global common_summary Haskell Source code suggestions

%global common_description Hlint gives suggestions on how to improve your source code.

# Haskell library dependencies:
%global ghc_pkg_deps ghc-cpphs-devel, ghc-haskell-src-exts-devel, ghc-uniplate-devel, ghc-hscolour-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        1.8.7
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          Development/Languages
License:        GPLv2
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/hlint.1 $RPM_BUILD_ROOT%{_mandir}/man1


%ghc_binlib_package


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/%{name}*


%changelog
* Fri Mar 11 2011 Jens Petersen <petersen@redhat.com> - 1.8.7-1
- update to 1.8.7

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.8.3-6
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-4
- rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-2
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-1
- update to 1.8.3

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-2
- move manpage to mandir

* Tue Jul 27 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-1
- update to 1.7.3
- update to cabal2spec-0.22.2 and obsolete doc subpackage
- use hscolour

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 1.7.2-1
- update to 1.7.2
- sync with cabal2spec-0.22

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.20-1
- Bump to 1.6.20
- Remove LicenseClarification

* Sun Jan 10 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.14-1
- Bump to 1.6.14

* Sat Nov 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.12-1
- Bump to 1.6.12
- Fix dep to ghc-cpphs-devel

* Sun Nov 8 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-2
- Add license clarification from author (changed license back to GPLv2).

* Thu Oct 29 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-1
- Bump version.

* Fri Sep 11 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.8-1
- Bump version.

* Fri Jul 17 2009 Conrad Meyer <konrad@tylerc.org> - 1.4-1
- Fixed BR on ghc-hscolour (to ghc-hscolour-devel).
- Version bumped.
- Add missing BR on ghc-rpm-macros.

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- initial packaging for Fedora created by cabal2spec
